############################ -*- Mode: Makefile -*- ###########################
## local-vars.mk --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Sat Nov 15 10:43:00 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Sat Dec  6 03:50:52 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 15
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 1a76a87e-7af5-424a-a30d-61660c8f243e
## 
###############################################################################

FILES_TO_CLEAN  = vm.elc vm.info* debian/files debian/substvars debian/buildinfo \
                  base64-decode base64-encode qp-decode qp-encode
STAMPS_TO_CLEAN = 
DIRS_TO_CLEAN   = debian/html

# Location of the source dir
SRCTOP    := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
TMPTOP     = $(SRCTOP)/debian/$(package)
LINTIANDIR = $(TMPTOP)/usr/share/lintian/overrides
DOCBASE    = $(TMPTOP)/usr/share/doc-base
MENUDIR    = $(TMPTOP)/usr/share/menu

BINDIR     = $(TMPTOP)/usr/bin
MANDIR     = $(TMPTOP)/usr/share/man
MAN1DIR    = $(MANDIR)/man1
MAN3DIR    = $(MANDIR)/man3
MAN5DIR    = $(MANDIR)/man5
MAN7DIR    = $(MANDIR)/man7
MAN8DIR    = $(MANDIR)/man8
INFODIR    = $(TMPTOP)/usr/share/info
DOCTOP     = $(TMPTOP)/usr/share/doc
DOCDIR     = $(DOCTOP)/$(package)
LISPDIR    = $(TMPTOP)/usr/share/emacs/site-lisp/$(package)
PIXMAPDIR  = $(LISPDIR)/etc
STARTDIRS  = $(TMPTOP)/etc/emacs20/site-start.d $(TMPTOP)/etc/emacs21/site-start.d
COMPILEDIR = $(TMPTOP)/usr/lib/emacsen-common/packages/
STARTFILE  = $(package)-init.el

define checkdir
	@test -f debian/rules -a -f vm-version.el || \
          (echo Not in correct source directory; exit 1)
endef

define checkroot
	@test $$(id -u) = 0 || (echo need root priviledges; exit 1)
endef
